// Compact Disc Detect & Execute
//
// Copyright(C) 2002-03 Eric Lathrop <eric@ericlathrop.com>
//

#ifndef __list_h__
#define __list_h__

typedef struct _list
{
	struct _list * next;
	void * data;
} list;


list * list_push(list * l, void * data);
list * list_pop(list * l, void ** data);
void * list_nth(list * l, int n);
list * list_removenth(list * l, void ** data, int n);
int list_size(list * l);

#endif
